// Alphatextur-Shader
textures/a1_minecraft/door_wood
{
q3map_lightimage textures/a1_minecraft/door_wood.tga
qer_editorimage textures/a1_minecraft/door_wood.tga


surfaceparm trans
qer_trans 0.7

surfaceparm nonsolid
surfaceparm nomarks
cull front
nopicmip

{
map textures/a1_minecraft/door_wood.tga
blendFunc GL_ONE GL_ZERO
alphaFunc GE128
depthWrite
rgbGen const ( 0.5 0.5 0.5 )

}

{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}
}

// Lichtshader
textures/a1_minecraft/torch
{
    qer_editorimage textures/a1_minecraft/torch.tga
    q3map_surfacelight 8000
    q3map_lightRGB 1.0 1.0 1.0
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/a1_minecraft/torch.tga
        blendFunc GL_DST_COLOR GL_ZERO
        //blendFunc blend
        rgbGen identity
    }
    {
        map textures/a1_minecraft_shaderfiles/torch_l.tga
	blendfunc GL_ONE GL_ONE
    }
}

// Alphatextur- und Lichtshader
textures/a1_minecraft_animations/torch_particles
{
	qer_editorimage textures/a1_minecraft_animations/torch_particles.tga
	q3map_surfacelight 17000
	q3map_lightRGB 1.0 1.0 1.0
//	q3map_lightimage textures/a1_minecraft_animations/torch_particles.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	qer_trans 0.7
	{
		map textures/a1_minecraft_animations/torch_particles.tga
		rgbGen const ( 0.5 0.5 0.5 )
		tcMod stretch sawtooth 1 -0.3 0 0.8 
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
        {
       	 	map textures/a1_minecraft_animations/torch_particles.tga
        	blendfunc GL_ONE GL_ONE
		tcMod stretch sawtooth 1 -0.3 0 0.8 
        }
}


// Alphatextur-Shader
textures/a1_minecraft/bed_feet_end
{
q3map_lightimage textures/a1_minecraft/bed_feet_end.tga
qer_editorimage textures/a1_minecraft/bed_feet_end.tga


surfaceparm trans
qer_trans 0.7

surfaceparm nonsolid
surfaceparm nomarks
cull none
nopicmip

{
map textures/a1_minecraft/bed_feet_end.tga
blendFunc GL_ONE GL_ZERO
alphaFunc GE128
depthWrite
rgbGen const ( 0.5 0.5 0.5 )

}

{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}
}


// Alphatextur-Shader
textures/a1_minecraft/bed_side
{
q3map_lightimage textures/a1_minecraft/bed_side.tga
qer_editorimage textures/a1_minecraft/bed_side.tga


surfaceparm trans
qer_trans 0.7

surfaceparm nonsolid
surfaceparm nomarks
cull none
nopicmip

{
map textures/a1_minecraft/bed_side.tga
blendFunc GL_ONE GL_ZERO
alphaFunc GE128
depthWrite
rgbGen const ( 0.5 0.5 0.5 )

}

{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}
}


// Alphatextur-Shader
textures/a1_minecraft/bed_head_end
{
q3map_lightimage textures/a1_minecraft/bed_head_end.tga
qer_editorimage textures/a1_minecraft/bed_head_end.tga


surfaceparm trans
qer_trans 0.7

surfaceparm nonsolid
surfaceparm nomarks
cull none
nopicmip

{
map textures/a1_minecraft/bed_head_end.tga
blendFunc GL_ONE GL_ZERO
alphaFunc GE128
depthWrite
rgbGen const ( 0.5 0.5 0.5 )

}

{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}
}


// Alphatextur-Shader
textures/a1_minecraft/rail_normal
{
q3map_lightimage textures/a1_minecraft/rail_normal.tga
qer_editorimage textures/a1_minecraft/rail_normal.tga


surfaceparm trans
qer_trans 0.7

surfaceparm nonsolid
surfaceparm nomarks
cull none
nopicmip

{
map textures/a1_minecraft/rail_normal.tga
blendFunc GL_ONE GL_ZERO
alphaFunc GE128
depthWrite
rgbGen const ( 0.5 0.5 0.5 )

}

{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}
}


// Alphatextur-Shader
textures/a1_minecraft/rail_normal_turned
{
q3map_lightimage textures/a1_minecraft/rail_normal_turned.tga
qer_editorimage textures/a1_minecraft/rail_normal_turned.tga


surfaceparm trans
qer_trans 0.7

surfaceparm nonsolid
surfaceparm nomarks
cull none
nopicmip

{
map textures/a1_minecraft/rail_normal_turned.tga
blendFunc GL_ONE GL_ZERO
alphaFunc GE128
depthWrite
rgbGen const ( 0.5 0.5 0.5 )

}

{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}
}


// Alphatextur-Shader
textures/a1_minecraft/glass
{
q3map_lightimage textures/a1_minecraft/glass.tga
qer_editorimage textures/a1_minecraft/glass.tga


surfaceparm trans
qer_trans 0.7

// surfaceparm nonsolid
// surfaceparm nomarks
cull front
nopicmip

{
map textures/a1_minecraft/glass.tga
blendFunc GL_ONE GL_ZERO
alphaFunc GE128
depthWrite
rgbGen const ( 0.5 0.5 0.5 )

}

{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}
}


// Alphatextur-Shader
textures/a1_minecraft/web
{
q3map_lightimage textures/a1_minecraft/web.tga
qer_editorimage textures/a1_minecraft/web.tga


surfaceparm trans
qer_trans 0.7

surfaceparm nonsolid
surfaceparm nomarks
cull none
nopicmip

{
map textures/a1_minecraft/web.tga
blendFunc GL_ONE GL_ZERO
alphaFunc GE128
depthWrite
rgbGen const ( 0.5 0.5 0.5 )

}

{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}
}


// Alphatextur-Shader
textures/a1_minecraft/ladder
{
q3map_lightimage textures/a1_minecraft/ladder.tga
qer_editorimage textures/a1_minecraft/ladder.tga

surfaceparm trans
qer_trans 0.7

surfaceparm nonsolid
surfaceparm nomarks
cull none
nopicmip

{
map textures/a1_minecraft/ladder.tga
blendFunc GL_ONE GL_ZERO
alphaFunc GE128
depthWrite
rgbGen const ( 0.5 0.5 0.5 )

}

{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}
}